--- /dev/null	Mon Sep 10 13:31:06 2012
+++ new/usr/src/cmd/ypcmd/revnetgroup/main.c	Tue Sep 11 18:26:16 2012
@@ -0,0 +1,48 @@
+/*
+ * CDDL HEADER START
+ *
+ * The contents of this file are subject to the terms of the
+ * Common Development and Distribution License (the "License").
+ * You may not use this file except in compliance with the License.
+ *
+ * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+ * or http://www.opensolaris.org/os/licensing.
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * When distributing Covered Code, include this CDDL HEADER in each
+ * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+ * If applicable, add the following below this CDDL HEADER, with the
+ * fields enclosed by brackets "[]" replaced with your own identifying
+ * information: Portions Copyright [yyyy] [name of copyright owner]
+ *
+ * CDDL HEADER END
+ */
+
+/*
+ * Copyright (c) 1990, 2010, Oracle and/or its affiliates. All rights reserved.
+ * Copyright 2012 Nexenta Systems, Inc.  All rights reserved.
+ */
+
+#include <stdio.h>
+#include <sys/types.h>
+#include "revnetgroup.h"
+
+int
+main(int argc, char *argv[])
+{
+	int byuser;
+
+	if (argc == 2 && argv[1][0] == '-' &&
+	    (argv[1][1] == 'u' || argv[1][1] == 'h')) {
+		byuser = (argv[1][1] == 'u');
+	} else {
+		(void) fprintf(stderr,
+		    "usage: %s -h (by host), %s -u (by user)\n",
+		    argv[0], argv[0]);
+		exit(1);
+	}
+
+	revnetgroup_handle(stdin, stdout, byuser);
+	return (0);
+}
